NavigationPathQueryResult3D
Represents the result of a 3D pathfinding query.
Represents the result of a 3D pathfinding query.
This class stores the result of a 3D navigation path query from the NavigationServer3D.
Declarations checked against C# SDK 1.0.0. Expand a name to see declarations and documentation.
Constructors1
NavigationPathQueryResult3DConstructor
public NavigationPathQueryResult3D();Properties5
PathProperty
public Vector3[] Path { get; set; }The resulting path array from the navigation query. All path array positions are in global coordinates. Without customized query parameters this is the same path as returned by NavigationServer3D.MapGetPath.
PathLengthProperty
public float PathLength { get; set; }Length of a 3D query result. In SDK 1.0.0 Reset() retains it; explicitly zero PathLength when manually clearing the result. An empty Path with an old nonzero length is not a route.
PathOwnerIdsProperty
public long[] PathOwnerIds { get; set; }The ObjectIDs of the ReckfellObjects which manage the regions and links each point of the path goes through.
PathRidsProperty
public Reckfell.Collections.Array<Rid> PathRids { get; set; }The Rids of the regions and links that each point of the path goes through.
PathTypesProperty
public int[] PathTypes { get; set; }The type of navigation primitive (region or link) that each point of the path goes through.
Methods14
GetPathVector3[]
public Vector3[] GetPath();Vector3[]GetPathLengthfloat
public float GetPathLength();floatGetPathOwnerIdslong[]
public long[] GetPathOwnerIds();long[]GetPathRidsReckfell.Collections.Array<Rid>
public Reckfell.Collections.Array<Rid> GetPathRids();Reckfell.Collections.Array<Rid>GetPathTypesint[]
public int[] GetPathTypes();int[]Resetvoid
public void Reset();Clears path and metadata arrays. The installed SDK 1.0.0 retains PathLength: set it to zero explicitly when the result must be fully cleared.
SetPath2 overloads
public void SetPath(Vector3[] path);| Name | Type | Default |
|---|---|---|
path | Vector3[] | — |
public void SetPath(ReadOnlySpan<Vector3> path);| Name | Type | Default |
|---|---|---|
path | ReadOnlySpan<Vector3> | — |
SetPathLengthvoid
public void SetPathLength(float length);| Name | Type | Default |
|---|---|---|
length | float | — |
SetPathOwnerIds2 overloads
public void SetPathOwnerIds(long[] pathOwnerIds);| Name | Type | Default |
|---|---|---|
pathOwnerIds | long[] | — |
public void SetPathOwnerIds(ReadOnlySpan<long> pathOwnerIds);| Name | Type | Default |
|---|---|---|
pathOwnerIds | ReadOnlySpan<long> | — |
SetPathRidsvoid
public void SetPathRids(Reckfell.Collections.Array<Rid> pathRids);| Name | Type | Default |
|---|---|---|
pathRids | Reckfell.Collections.Array<Rid> | — |
SetPathTypes2 overloads
public void SetPathTypes(int[] pathTypes);| Name | Type | Default |
|---|---|---|
pathTypes | int[] | — |
public void SetPathTypes(ReadOnlySpan<int> pathTypes);| Name | Type | Default |
|---|---|---|
pathTypes | ReadOnlySpan<int> | — |
NavigationPathQueryResult3D.PathSegmentType
| Value | Description |
|---|---|
Link = 1 | This segment of the path goes through a link. |
Region = 0 | This segment of the path goes through a region. |